const CopyIcon = ({
  fill,
  onClick,
  isRoundShape = false,
}: {
  fill?: string;
  onClick?: any;
  isRoundShape?: any;
}) => (
  <>
    {isRoundShape ? (
      <svg
        width="20"
        height="21"
        viewBox="0 0 20 21"
        fill="none"
        xmlns="http://www.w3.org/2000/svg"
      >
        <path
          d="M13.3327 11.7035V15.2035C13.3327 18.1201 12.166 19.2868 9.24935 19.2868H5.74935C2.83268 19.2868 1.66602 18.1201 1.66602 15.2035V11.7035C1.66602 8.78678 2.83268 7.62012 5.74935 7.62012H9.24935C12.166 7.62012 13.3327 8.78678 13.3327 11.7035Z"
          stroke={fill || "#1E293B"}
          strokeWidth="1.5"
          strokeLinecap="round"
          strokeLinejoin="round"
        />
        <path
          d="M18.3327 6.70345V10.2035C18.3327 13.1201 17.166 14.2868 14.2493 14.2868H13.3327V11.7035C13.3327 8.78678 12.166 7.62012 9.24935 7.62012H6.66602V6.70345C6.66602 3.78678 7.83268 2.62012 10.7493 2.62012H14.2493C17.166 2.62012 18.3327 3.78678 18.3327 6.70345Z"
          stroke={fill || "#1E293B"}
          strokeWidth="1.5"
          strokeLinecap="round"
          strokeLinejoin="round"
        />
      </svg>
    ) : (
      <svg
        width="20"
        height="20"
        viewBox="0 0 20 20"
        fill="none"
        xmlns="http://www.w3.org/2000/svg"
      >
        <path
          d="M16.667 1.66663H8.33366C7.41449 1.66663 6.66699 2.41413 6.66699 3.33329V6.66663H3.33366C2.41449 6.66663 1.66699 7.41413 1.66699 8.33329V16.6666C1.66699 17.5858 2.41449 18.3333 3.33366 18.3333H11.667C12.5862 18.3333 13.3337 17.5858 13.3337 16.6666V13.3333H16.667C17.5862 13.3333 18.3337 12.5858 18.3337 11.6666V3.33329C18.3337 2.41413 17.5862 1.66663 16.667 1.66663ZM3.33366 16.6666V8.33329H11.667L11.6687 16.6666H3.33366ZM16.667 11.6666H13.3337V8.33329C13.3337 7.41413 12.5862 6.66663 11.667 6.66663H8.33366V3.33329H16.667V11.6666Z"
          fill={fill || "#1E293B"}
        />
      </svg>
    )}
  </>
);
export default CopyIcon;
